Bug 48565 - FORMATTING: New page header/footer formatting "help" overlaps text on the page
Summary: FORMATTING: New page header/footer formatting "help" overlaps text on the page
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Header-Footer
  Show dependency treegraph
 
Reported: 2012-04-11 11:43 UTC by John H.
Modified: 2017-06-19 21:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot showing the popup obscuring text (193.18 KB, image/jpeg)
2012-04-11 11:43 UTC, John H.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John H. 2012-04-11 11:43:08 UTC
Created attachment 59810 [details]
Screen shot showing the popup obscuring text

Problem description: 

Steps to reproduce:
1. .... Hover the mouse anywhere near the header or footer area on the page
2. .... Note the new "header and footer" help popup that appears on the screen
3. .... Note that the popup overlaps text on the first and/or last line of the page.

Current behavior: This makes editing and/or proof-reading documents more difficult by obscuring text on the page. I appreciate the new feature, but NO feature should get in the way, and have no way to turn off.

Expected behavior: Put the popup OUTSIDE the margins. Or make it less easy to cause to popup. Perhaps if the mouse positioning were less forgiving, it wouldn't keep popping up whenever the mouse is ANYWHERE on the page. I consider this a bug because no feature should get in the way.

Platform (if different from the browser): I see this on both XP/SP3 and Win7/latest.
              
Browser: Mozilla/5.0 (Windows NT 5.1) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.83 Safari/535.11
Comment 1 Mònica Ramírez Arceda 2012-04-14 06:50:13 UTC
[Reproducible] with "LibreOffice 3.5.2.2 - Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f - GNU/Linux Debian testing (32bit) English UI"
Comment 2 leighman 2012-08-09 21:15:06 UTC
I can confirm this issue in current master ~3.7 and agree that it should not obscure text.
It is however relatively easy to avoid.

EasyHack material?
Comment 3 QA Administrators 2015-01-05 17:52:20 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-28 18:26:28 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 5 QA Administrators 2016-02-21 08:37:38 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 15:55:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306